Lavalite package that provides award management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litepci/award`.

    "litepci/award": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litepci\Award\Providers\AwardServiceProvider::class,

And also add it to alias

    'Award'  => Litepci\Award\Facades\Award::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litepci\\AwardTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litepci\Award\Providers\AwardServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepci\Award\Providers\AwardServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepci\Award\Providers\AwardServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/award/{modulename}

**User**

    http://path-to-route-folder/user/award/{modulename}

**Public**

    http://path-to-route-folder/awards


### API endpoints

**List**

    http://path-to-route-folder/api/user/award/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/award/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/award/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/award/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/award/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/award/{modulename}/{slug}
    METHOD: GET